./devel/p5-Devel-REPL, Modern Perl interactive shell

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.003028nb2, Package name: p5-Devel-REPL-1.003028nb2, Maintainer: pkgsrc-users

The Perl 5 module Devel::REPL provides a modern perl interactive shell.


Required to run:
[lang/perl5] [devel/p5-Task-Weaken] [devel/p5-B-Keywords] [devel/p5-Moose] [devel/p5-Data-Dump-Streamer] [devel/p5-MooseX-AttributeHelpers] [devel/p5-Lexical-Persistence] [sysutils/p5-Sys-SigAction] [devel/p5-Data-Dumper-Concise]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 8b015358b48326d4b6611973a465c593fb9921fa
RMD160: dfab9b6eed342cd0e69f04d0e20ca7ed97868930
Filesize: 59.45 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-04-10 04:22:59 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to devel/p5-Devel-REPL-1.003028
--------------------------------------
1.003028   2016-02-16 01:13:08Z
  - increase the required version of Data::Dump::Streamer (see RT#105466)
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-08-23 00:46:01 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update 1.003026 to 1.003027
---------------------------
1.003027   2015-08-16 05:18:24Z
  - updated some bits of the distribution packaging
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-01-27 00:20:42 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update to 1.003026 from Leonardo Taccari in PR 49606.

1.003026  2014-07-16 01:20:41Z
  - fix inclusion of of optional plugin prereqs when installation is run
    non-interactively

1.003025  2013-09-29 22:36:59Z (Karen Etheridge)
  - re-release with fixed prerequisites in metadata

1.003024  2013-09-25 04:07:04Z (Karen Etheridge)
  - re-release with fixed compile test

1.003023  2013-09-12 00:52:03Z (Karen Etheridge)
  - The default profile is now "Minimal", not "Default", as \ 
Default requires
    some optional features; Default renamed to Standard (RT#88615)

1.003022  2013-09-10 01:53:10Z (Karen Etheridge)
  - workaround added for plugins consuming plugins that use optional features
  - install problems fixed when some optional prereqs are not installed, by
    properly detecting the lack of features during testing (RT#88542)
  - spelling fixes (RT#87691, David Steinbrunner)

1.003021  2013-09-09 02:10:45Z (Karen Etheridge)
  - removed use of deprecated functions from Class::MOP
  - long-deprecated Devel::REPL::Plugin::NewlineHack removed at last
  - converted dist to Dist::Zilla, with a different mechanism for specifying
    optional features (install with cpanm --interactive to be prompted)

1.003020   2013-07-08
  - shebang fixed in re.pl so it is rewritten to point to the proper perl at
    install time (RT#70928)

1.003019   2013-06-27
  - Fix "No arguments!" error in Plugin::DDS when nothing to dump \ 
(RT#71205,
    Ash Berlin)
  - fix failing test when Lexical::Persistence is not installed

1.003018   2013-05-19
  - more attempts to fix Term::ReadLine issues in tests (RT#84246, mephinet)

1.003017   2013-04-03
  - fix issues with Term::ReadLine:Perl in tests (RT#84246) (thanks,
    Christopher McCann!)

1.003016   2013-03-26
  - make all plugins load again by using native traits (thanks, Zaki Mughal!)
    (RT#84011)

1.003015   2013-03-01
  - fix "Attempt to use reference as lvalue in substr" warning on perl 5.16
    (thanks, ilmari!)
  - plugins that are used by the default profile now default to being
    installed, fixing RT#83669 and RT#83677

1.003014   2012-10-31
  - now using native Moose attribute traits, instead of the deprecated
    MooseX::AttributeHelper (thanks, Justin Hunter!)
  - now using namespace::autoclean rather than namespace::clean (thanks, Karen
    Etheridge!)

1.003013   2012-05-19
  - Make Sys::SigAction optional dependency for Win32 systems
  - Apply some plugin related patchs from Caleb Cushing
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.